--
-- $Id$
--
-- <<beheer standaard bibliotheek kostensoorten aan menu toevoegen>>

DEFINE thisfile = 'TWYN#55425.SQL'
DEFINE dbuser   = '^TWYN'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

-- Extra rechten toevoegen om de kostensoorten te kunnen beheren.
INSERT INTO fac_groeprechten
( fac_groep_key
, fac_functie_key
, fac_gebruiker_prs_level_read
, fac_gebruiker_alg_level_read
, fac_gebruiker_prs_level_write
, fac_gebruiker_alg_level_write
)
SELECT (SELECT fac_groep_key   FROM fac_groep   WHERE fac_groep_upper  = 'PROJECTENMANAGER')
     , (SELECT fac_functie_key FROM fac_functie WHERE fac_functie_code = 'WEB_FINMSU')
     , -1
     , -1
     , -1
     , -1
  FROM DUAL
;

-- Nu staat btw-tabellen er twee keer is, dus een mag eruit.
DELETE FROM fac_menu
 WHERE fac_menu_altlabel IS NOT NULL
   AND fac_menuitems_key = (SELECT fac_menuitems_key
                              FROM fac_menuitems
                             WHERE fac_menuitems_label = 'lcl_menu_fin_btwtabellen'
                           );

-- Beheer kostenplaatsen en kostenplaatsgroepen is niet nodig.
DELETE FROM fac_menu
 WHERE fac_menuitems_key IN (SELECT fac_menuitems_key
                               FROM fac_menuitems
                              WHERE fac_menuitems_label IN ('lcl_menu_fin_kostenplaatsen','lcl_menu_fin_kostenplaatsgroep')
                            );

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile
